summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer2007-01-27 22:47:08 +0000
committerBernhard Reutner-Fischer2007-01-27 22:47:08 +0000
commit1ca74185c497710e2949c3b5ea97897d9b96c758 (patch)
tree1f3b1acd21f0f7d6002e3f5fcef9d8f4c68d0efd
parenta626a99ca55cddc2d28619fb673505135a9f1dec (diff)
downloadbusybox-1ca74185c497710e2949c3b5ea97897d9b96c758.zip
busybox-1ca74185c497710e2949c3b5ea97897d9b96c758.tar.gz
- pull r17554 and r17555 from trunk:
- fix testsuite and add test for sum
-rw-r--r--Makefile.custom4
-rwxr-xr-xtestsuite/sum.tests24
2 files changed, 26 insertions, 2 deletions
diff --git a/Makefile.custom b/Makefile.custom
index e976e73..0cc40a6 100644
--- a/Makefile.custom
+++ b/Makefile.custom
@@ -38,9 +38,9 @@ ifneq ($(strip $(DO_INSTALL_LIBS)),n)
done
endif
-check test: busybox
+check test: busybox busybox.links
bindir=$(objtree) srcdir=$(srctree)/testsuite SED="$(SED)" \
- $(SHELL) $(srctree)/testsuite/runtest $(if $(KBUILD_VERBOSE:1=),-v)
+ $(SHELL) $(srctree)/testsuite/runtest $(if $(KBUILD_VERBOSE:0=),-v)
.PHONY: release
release: distclean
diff --git a/testsuite/sum.tests b/testsuite/sum.tests
new file mode 100755
index 0000000..0993f03
--- /dev/null
+++ b/testsuite/sum.tests
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# unit test for sum.
+# Copyright 2007 by Bernhard Fischer
+# Licensed under GPL v2 or later, see file LICENSE for details.
+
+# AUDIT: Unit tests for sum
+
+. testing.sh
+
+# testing "test name" "options" "expected result" "file input" "stdin"
+# file input will be file called "input"
+# test can create a file "actual" instead of writing to stdout
+
+testing "sum -r file doesn't print file's name" \
+ "sum -r $0 | grep -c $0 && echo wrongly_printed_filename || echo yes" \
+ "0\nyes\n" "" ""
+testing "sum -r file file does print both names" \
+ "sum -r $0 $0 | grep -c $0 && echo yes || echo wrongly_omitted_filename" \
+ "2\nyes\n" "" ""
+testing "sum -s file does print file's name" \
+ "sum -s $0 | grep -c $0 && echo yes || echo wrongly_omitted_filename" \
+ "1\nyes\n" "" ""
+exit $FAILCOUNT